image:
  file: .gitpod.dockerfile

tasks:
  - before: npm i
    command: sh ./init-gitpod-custom-command.sh

ports:
  - port: 8080
    visibility: private
    onOpen: ignore
  - port: 4200
    visibility: public
  - port: 4300
    visibility: public
  - port: 8081
    onOpen: ignore

vscode:
  extensions:
    - nrwl.angular-console
    - esbenp.prettier-vscode
    - Angular.ng-template
    - vivaxy.vscode-conventional-commits
    - dbaeumer.vscode-eslint
    - zardoy.fix-all-json
